Subject: Re: bug#11050: 24.0.94; emacs hangs

From: Stefan Kangas <[email-masked]>
Date: Sat, 29 Feb 2020 04:25:06 +0100

Sam Steingold <[email-masked]> writes:

> The second time in as many days I encounter a weird behavior which I can
> only get out of using kill -9.
> I run emacs under gdb and all of a sudden it stops responding.
> C-z and C-c in gdb also do nothing(!)
> There are 2(!) emacs processes in top:
>
> 17196 sds       20   0  349m  80m  11m D    0  1.0   4:18.84 emacs
> 24429 sds       20   0  349m  80m  11m t    0  1.0   0:00.00 emacs
> 17124 sds       20   0 99420  49m  10m S    0  0.6   0:20.61 gdb
>
> the D is in do_fork; the t is in ptrace_stop; the S is in do_wait
>
> kill -15 does nothing; loadavg is at 1 - until I kill them with -9.
>
> I know this is not enough to debug the problem, but maybe you could at
> least tell me what I can do the next time this happens.
>
> Oh, and how I got into this mess: I _think_ I hit "g" in a dired buffer
> several times in a row.

That was 7 years ago.  Are you still seeing this on a modern version
of Emacs?

Best regards,
Stefan Kangas